public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/dbus-python/
Date: Sun, 20 Oct 2019 14:40:32 +0000 (UTC)	[thread overview]
Message-ID: <1571582420.6a0f465dad44b85a20ae8fd0d768ad428889cc1a.pacho@gentoo> (raw)

commit:     6a0f465dad44b85a20ae8fd0d768ad428889cc1a
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 20 14:38:34 2019 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 20 14:40:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a0f465d

dev-python/dbus-python: Bump to 1.2.12, needs setuptools

Closes: https://bugs.gentoo.org/678942
Closes: https://bugs.gentoo.org/695426
Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 dev-python/dbus-python/Manifest                  |  1 +
 dev-python/dbus-python/dbus-python-1.2.12.ebuild | 78 ++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

diff --git a/dev-python/dbus-python/Manifest b/dev-python/dbus-python/Manifest
index 2bb62ea43d9..a4950b02abd 100644
--- a/dev-python/dbus-python/Manifest
+++ b/dev-python/dbus-python/Manifest
@@ -1,4 +1,5 @@
 DIST dbus-python-1.2.0.tar.gz 602426 BLAKE2B 86f5ba9283256b83d268ff7c27368e587896d58f87b15aefe9d29a90530ced591a2c6814dd37b91274910ed131fe031846071311bc6cc07c11d1f9cdda9e4602 SHA512 013b23e08fa1ed43f53a756587fefbc9770f7c51e93510e555acbd77230b7200693419bba9a69680d790bbaf123f4a195afa38b3eee1143da950fee0b5130bce
+DIST dbus-python-1.2.12.tar.gz 574727 BLAKE2B e5516e7109fad089af51d3e5db3921d056f327c27f9b74a870b1b31b04ba952ad3c9ba5916a18d674ab1179b94cf516b24e046feded8f2e542b196d162038944 SHA512 6f90eaeeb74ea71a026a331d4c611911eda6dfb6c9086a0a80352f9963a9ae126db6f3e32d183916b8517f177fc947f1ddb15df83ff0b5c886532116868383b4
 DIST dbus-python-1.2.4.tar.gz 612112 BLAKE2B cccd3e2f5d700c0d228e7d21fd85e2307357778371742a7fe26a0e419af41886efebb27a73f642d2ecd4603c79f4afe6e7002af95c831180e0e7844c079b2c8c SHA512 efdd9d96a8b56e813c93208d34777f1ca2db96c076d31f13afbcaec3c7770a16a623d5531fe23443130c555240949802503f171f2064d45eee97546d6251304b
 DIST dbus-python-1.2.6.tar.gz 778893 BLAKE2B 1587bc9b1795e5c416397468b2061c869d923aea0983e604862342b27d37b946b1fcdd3bf07a612dba30087bdc6a5fa734906188c55756edf38d50eb67b7eef6 SHA512 6f2aec81defd2528d9876ec9a83843f8767275a5d6cf1b2b7b7a094f892f552f9a7b3d7b5006465254d410e503108e10138d7dd4cb3f1a4035d7f8d58c4d0684
 DIST dbus-python-1.2.8.tar.gz 787426 BLAKE2B 186cb8b1b25b2d2d12ab24ed304819ef18f953232d321bd425e7fda632c79a5a94f7b4118cc09f1bb13a0621980af67b4b55599fbbbcaf0e95f7912f4afd0a2e SHA512 6e486fd560944fc1461a27e6798e2c348c7fdf351602c082a0614c0a6822ff147875212bdcb1f818c0ab12470cffc613c0ffbd292cd9d445d3429bee65765905

diff --git a/dev-python/dbus-python/dbus-python-1.2.12.ebuild b/dev-python/dbus-python/dbus-python-1.2.12.ebuild
new file mode 100644
index 00000000000..1fb2cae012c
--- /dev/null
+++ b/dev-python/dbus-python/dbus-python-1.2.12.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit autotools python-r1
+
+DESCRIPTION="Python bindings for the D-Bus messagebus"
+HOMEPAGE="https://www.freedesktop.org/wiki/Software/DBusBindings https://dbus.freedesktop.org/doc/dbus-python/"
+SRC_URI="https://dbus.freedesktop.org/releases/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+IUSE="doc examples test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}
+	>=sys-apps/dbus-1.8:=
+	>=dev-libs/glib-2.40
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	virtual/pkgconfig
+	doc? ( $(python_gen_any_dep 'dev-python/sphinx[${PYTHON_USEDEP}]') )
+	test? ( dev-python/pygobject:3[${PYTHON_USEDEP}]
+		dev-python/tappy[${PYTHON_USEDEP}] )
+"
+
+python_check_deps() {
+	has_version "dev-python/sphinx[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+	default
+	# Update py-compile, bug 529502.
+	eautoreconf
+	python_copy_sources
+}
+
+src_configure() {
+	use doc && python_setup
+	local SPHINX_IMPL=${EPYTHON}
+
+	configuring() {
+		local myconf=(
+			--disable-documentation
+		)
+		[[ ${EPYTHON} == ${SPHINX_IMPL} ]] &&
+			myconf+=( --enable-documentation )
+
+		econf "${myconf[@]}"
+	}
+	python_foreach_impl run_in_build_dir configuring
+}
+
+src_compile() {
+	python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+	unset DBUS_SESSION_BUS_ADDRESS
+	python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+	python_foreach_impl run_in_build_dir default
+	find "${D}" -name '*.la' -type f -delete || die
+
+	use examples && dodoc -r examples
+}


             reply	other threads:[~2019-10-20 14:40 UTC|newest]

Thread overview: 89+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-20 14:40 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-24  7:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/dbus-python/ Petr Vaněk
2023-06-03  6:48 Michał Górny
2022-10-11 17:39 Michał Górny
2022-10-11 17:15 Arthur Zamarin
2022-10-10 19:54 Sam James
2022-10-10 19:54 Sam James
2022-10-10 18:39 Arthur Zamarin
2022-10-10 18:32 Arthur Zamarin
2022-10-10 18:24 Arthur Zamarin
2022-10-10 18:21 Arthur Zamarin
2022-10-10 18:21 Arthur Zamarin
2022-10-04 20:23 Arthur Zamarin
2022-09-09  7:23 Arthur Zamarin
2022-05-24 16:07 WANG Xuerui
2022-05-20 13:50 Andrew Ammerlaan
2021-11-10 15:19 Arthur Zamarin
2021-11-09 22:35 Sam James
2021-10-31 18:07 Sam James
2021-10-31 18:07 Sam James
2021-10-31 18:04 Sam James
2021-10-31 18:02 Sam James
2021-10-31 18:02 Sam James
2021-10-31 17:58 Sam James
2021-10-31 17:55 Sam James
2021-09-29 15:29 Mike Gilbert
2021-09-07 14:08 Pacho Ramos
2021-06-01 17:07 Andrew Ammerlaan
2021-05-29  0:03 Yixun Lan
2020-09-20  8:16 Michał Górny
2020-05-10 18:58 Andreas Sturmlechner
2020-05-10 18:58 Andreas Sturmlechner
2020-05-10 12:40 Andreas Sturmlechner
2020-05-08 20:58 Mart Raudsepp
2020-05-04 16:51 Agostino Sarubbo
2020-05-03 19:12 Agostino Sarubbo
2020-05-03 19:02 Agostino Sarubbo
2020-05-03 15:13 Agostino Sarubbo
2020-04-27 11:39 Agostino Sarubbo
2020-04-27 11:39 Agostino Sarubbo
2020-04-26 14:16 Agostino Sarubbo
2020-04-10 22:56 Sergei Trofimovich
2020-04-01 19:19 Mart Raudsepp
2020-03-29 14:45 Sergei Trofimovich
2020-02-26 12:56 Lars Wendler
2020-01-21  8:48 Agostino Sarubbo
2020-01-01 16:59 Mart Raudsepp
2019-12-24 14:59 Mikle Kolyada
2019-12-07 23:07 Matt Turner
2019-12-02 21:13 Aaron Bauman
2019-12-02 12:57 Lars Wendler
2019-12-02 12:57 Lars Wendler
2019-12-01 19:30 Andreas Sturmlechner
2019-11-24 19:32 Aaron Bauman
2019-11-23 15:12 Sergei Trofimovich
2019-10-20 14:40 Pacho Ramos
2019-05-15  4:48 Aaron Bauman
2019-04-08 22:03 Aaron Bauman
2019-01-27  9:49 Sergei Trofimovich
2019-01-18  8:08 Mikle Kolyada
2018-12-23  3:25 Matt Turner
2018-10-28 10:19 Sergei Trofimovich
2018-10-20 12:16 Sergei Trofimovich
2018-10-09  9:48 Mikle Kolyada
2018-08-09 10:11 Michał Górny
2018-08-06 20:50 Sergei Trofimovich
2018-07-27 18:49 Sergei Trofimovich
2018-07-24 12:48 Michał Górny
2018-07-24 12:48 Michał Górny
2018-07-24 12:45 Michał Górny
2018-07-24 12:20 Michał Górny
2018-07-24 12:19 Michał Górny
2018-07-24 12:19 Michał Górny
2018-07-24 12:19 Michał Górny
2018-07-24 12:19 Michał Górny
2018-07-24 12:19 Michał Górny
2018-04-02 11:16 Mart Raudsepp
2018-03-31 17:59 Sergei Trofimovich
2018-02-14 23:49 Manuel Rüger
2017-07-28  4:41 Markus Meier
2017-06-30 11:10 Agostino Sarubbo
2017-06-30  8:24 Sergei Trofimovich
2017-06-28 13:19 Agostino Sarubbo
2017-03-10 20:38 Zac Medico
2017-02-17  6:06 Mart Raudsepp
2016-04-10 17:27 Lars Wendler
2016-04-10 15:35 Lars Wendler
2015-11-12  8:56 Justin Lecher
2015-10-19 16:29 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1571582420.6a0f465dad44b85a20ae8fd0d768ad428889cc1a.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox